Package ghidra.app.plugin.prototype.analysis

# Class AggressiveInstructionFinderAnalyzer

java.lang.Object
ghidra.app.services.AbstractAnalyzer
ghidra.app.plugin.prototype.analysis.AggressiveInstructionFinderAnalyzer

All Implemented Interfaces:
  `Analyzer`, `ExtensionPoint`

public class AggressiveInstructionFinderAnalyzer extends AbstractAnalyzer

- ## Field Summary

  ### Fields inherited from class ghidra.app.services.AbstractAnalyzer

  `EMPTY_ADDRESS_SET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AggressiveInstructionFinderAnalyzer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `added(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log)`
  Called when the requested information type has been added, for example, when a function is added.
  `void`
  `optionsChanged(Options options, Program program)`
  Analyzers should initialize their options from the values in the given Options, providing appropriate default values.
  `void`
  `registerOptions(Options options, Program program)`
  Analyzers should register their options with associated default value, help content and description

  ### Methods inherited from class ghidra.app.services.AbstractAnalyzer

  `analysisEnded, analyzeLocation, canAnalyze, getAnalysisType, getDefaultEnablement, getDescription, getName, getPriority, isPrototype, removed, runParallelAddressAnalysis, setDefaultEnablement, setPriority, setPrototype, setSupportsOneTimeAnalysis, setSupportsOneTimeAnalysis, supportsOneTimeAnalysis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.services.Analyzer

  `getOptionsUpdater`

- ## Constructor Details

  - ### AggressiveInstructionFinderAnalyzer

    public AggressiveInstructionFinderAnalyzer()

- ## Method Details

  - ### added

    public boolean added(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log)
    Description copied from interface: `Analyzer`
    Called when the requested information type has been added, for example, when a function is added.
    Parameters:
      `program` - program to analyze
      `set` - AddressSet of locations that have been added
      `monitor` - monitor that indicates progress and indicates whether the user canceled the analysis
      `log` - a message log to record analysis information
    Returns:
      true if the analysis succeeded

  - ### registerOptions

    public void registerOptions(Options options, Program program)
    Description copied from interface: `Analyzer`
    Analyzers should register their options with associated default value, help content and description
    Specified by:
      `registerOptions` in interface `Analyzer`
    Overrides:
      `registerOptions` in class `AbstractAnalyzer`
    Parameters:
      `options` - the program options/property list that contains the options
      `program` - program to be analyzed

  - ### optionsChanged

    public void optionsChanged(Options options, Program program)
    Description copied from interface: `Analyzer`
    Analyzers should initialize their options from the values in the given Options, providing appropriate default values.
    Specified by:
      `optionsChanged` in interface `Analyzer`
    Overrides:
      `optionsChanged` in class `AbstractAnalyzer`
    Parameters:
      `options` - the program options/property list that contains the options
      `program` - program to be analyzed